Subject: Re: HERBS AND MEDICINAL PLANTS

From: [email-masked] (JmhaTec)
Date: 12 Dec 1994 23:21:09 -0500

In article <[email-masked]>,
[email-masked] writes:

requesting information on herbs and medicinal plants.

One place you might start is the Knowledge Recovery Foundation. Director
is Ms. Sonserai Lee. Address: 37 W. 46th Street, Second Floor, New York,
NY 10036. Tel: 212-869-9851/Fax: 212-869-9852.

In addition, a good popular, general article was published in U.S. News &
World Report, February 22, 1993.

I have been interested in this subject for a number of years, but have not
had a great amount of time to devote to researching it. I do believe
interest in this subject is increasing dramatically, so I would be
interested in your findings.
Regards, John